Request cURL
curl -s "https://app.upfour.io/v1/runbooks/00000000-0000-4000-8000-000000000001" \
-H "Authorization: Bearer $UP4_API_KEY"
JavaScript
const res = await fetch("https://app.upfour.io/v1/runbooks/00000000-0000-4000-8000-000000000001", {
headers: {
Authorization: `Bearer ${process.env.UP4_API_KEY}`,
},
});
console.log(res.status, await res.json());
Python
import os
import requests
res = requests.get(
"https://app.upfour.io/v1/runbooks/00000000-0000-4000-8000-000000000001",
headers={"Authorization": f"Bearer {os.environ['UP4_API_KEY']}"},
)
print(res.status_code, res.json())
Go
package main
import (
"fmt"
"io"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequest("GET", "https://app.upfour.io/v1/runbooks/00000000-0000-4000-8000-000000000001", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("UP4_API_KEY"))
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
out, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(out))
}
PHP
<?php
$ch = curl_init("https://app.upfour.io/v1/runbooks/00000000-0000-4000-8000-000000000001");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer " . getenv("UP4_API_KEY"),
],
]);
$response = curl_exec($ch);
echo curl_getinfo($ch, CURLINFO_RESPONSE_CODE), " ", $response, "\n";
curl_close($ch);
Response
200
{
"data": {
"created_at": "2026-10-27T09:00:00Z",
"description": "What to do when the checkout stops answering.",
"id": "00000000-0000-4000-8000-000000000001",
"monitor_ids": [
"00000000-0000-4000-8000-000000000002"
],
"org_id": "00000000-0000-4000-8000-000000000003",
"owner": "Platform team",
"step_count": 2,
"steps": [
{
"created_at": "2026-10-27T09:00:00Z",
"description": "",
"id": "00000000-0000-4000-8000-000000000004",
"position": 0,
"runbook_id": "00000000-0000-4000-8000-000000000001",
"title": "Check the payment provider status page"
},
{
"created_at": "2026-10-27T09:00:00Z",
"description": "",
"id": "00000000-0000-4000-8000-000000000005",
"position": 1,
"runbook_id": "00000000-0000-4000-8000-000000000001",
"title": "Roll back the last deploy"
}
],
"title": "Checkout outage",
"updated_at": "2026-10-27T09:00:00Z"
}
}
400
{
"error": {
"code": "bad_request",
"message": "The request is malformed or fails validation.",
"request_id": "req_…"
}
}
404
{
"error": {
"code": "not_found",
"message": "The requested resource does not exist or is outside the caller's scope.",
"request_id": "req_…"
}
}